The author of iFrotz posted this on his page:

2007/10/10 Known Issue with 1.1.1

I just upgraded to 1.1.1 and jailbroke my phone using the new method, and I’m sad to say that it looks like iFrotz is one of the apps which doesn’t run under 1.1.1. I’m looking into it and I’ll try to get a fixed version out soon.